<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<!-- 
<!DOCTYPE components PUBLIC "-//EXADEL//Generator config/EN"  "http://exadel.com/dtds/component-config.dtd" >
 -->

<components>
	<component>
		<name>org.richfaces.component.ToolTip</name>
		<family>org.richfaces.component.ToolTip</family>
		<classname>org.richfaces.component.html.HtmlToolTip</classname>
		<superclass>org.richfaces.component.UIToolTip</superclass>
		<description><![CDATA[Defines tooltip for parent component.]]></description>
		<test>
			<classname>org.richfaces.component.html.HtmlToolTipTest</classname>
			<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
		</test>

		<!--renderer generate="true" override="true">
			<name>org.richfaces.renderkit.html.ToolTipRenderer</name>
			<template>org/richfaces/htmltooltip.jspx</template>
		</renderer-->
		<renderer override="true">
			<name>org.richfaces.renderkit.html.ToolTipRenderer</name>
			<classname>org.richfaces.renderkit.html.ToolTipRenderer</classname>
		</renderer>

		<tag>
			<name>toolTip</name>
			<classname>org.richfaces.taglib.HtmlToolTipTag</classname>
			<superclass>org.ajax4jsf.webapp.taglib.HtmlComponentTagBase</superclass>
			<test>
				<classname>org.richfaces.taglib.HtmlToolTipTagTest</classname>
				<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
			</test>
		</tag>

	    <property>
	    	<name>layout</name>
	    	<classname>java.lang.String</classname>
	    	<description>Allowed values: "inline" or "block". Block/inline mode flag. Tooltip will contain div/span elements accordingly.</description>
	    	<defaultvalue><![CDATA["inline"]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>showDelay</name>
	    	<classname>int</classname>
	    	<description>Delay in milliseconds before tooltip will be displayed.</description>
	    	<defaultvalue><![CDATA[0]]></defaultvalue>
	    </property>
	     <property>
	    	<name>hideDelay</name>
	    	<classname>int</classname>
	    	<description>Delay in milliseconds before tooltip will be hidden.</description>
	    	<defaultvalue><![CDATA[0]]></defaultvalue>
	    </property>
	    <property>
	    	<name>zorder</name>
	    	<classname>int</classname>
	    	<description>The same as CSS z-index for toolTip.</description>
	    	<defaultvalue><![CDATA[99]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>oncomplete</name>
	    	<classname>java.lang.String</classname>
	    	<description>JavaScript code for call after the tooltip shown</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>onshow</name>
	    	<classname>java.lang.String</classname>
	    	<description>
			JavaScript code for call after the tooltip called (some element overed) but before its requesting
			</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>onhide</name>
	    	<classname>java.lang.String</classname>
	    	<description>JavaScript code for call after the tooltip hidden</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 



	    <property>
	    	<name>value</name>
	    	<classname>java.lang.String</classname>
	    	<description>Label on the tooltip</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>event</name>
	    	<classname>java.lang.String</classname>
	    	<description>event that triggers the tooltip appearance (default = onmouseover)</description>
	    	<defaultvalue><![CDATA["mouseover"]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>mode</name>
	    	<classname>java.lang.String</classname>
	    	<description>controls the way of data loading to tooltip and should have following values “client” (default), “ajax”</description>
	    	<defaultvalue><![CDATA["client"]]></defaultvalue>
	    </property>
	    <property>
			<name>disabled</name>
	    	<classname>boolean</classname>
	    	<description>If false the components is rendered on the client but Js for calling – disabled.</description>
	    	<defaultvalue>false</defaultvalue>
	    </property>
	    <property>
	    	<name>direction</name>
	    	<classname>java.lang.String</classname>
	    	<description>Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default))</description>
	    	<defaultvalue><![CDATA["bottom-right"]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>followMouse</name>
	    	<classname>boolean</classname>
	    	<description>If 'true' tooltip should follow the mouse while it moves over the parent element</description>
	    	<defaultvalue>false</defaultvalue>
	    </property> 
	    <property>
	    	<name>horizontalOffset</name>
	    	<classname>int</classname>
	    	<description>Sets the horizontal offset between popup list and mouse pointer</description>
	    	<defaultvalue>10</defaultvalue>
	    </property> 
	    <property>
	    	<name>verticalOffset</name>
	    	<classname>int</classname>
	    	<description>Sets the vertical offset between popup list and mouse pointer</description>
	    	<defaultvalue>10</defaultvalue>
	    </property> 
	    <property>
	    	<name>style</name>
	    	<classname>java.lang.String</classname>
	    	<description>CSS style(s) is/are to be applied when this component is rendered</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>styleClass</name>
	    	<classname>java.lang.String</classname>
	    	<description>Corresponds to the HTML class attribute</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 

	    &ui_component_attributes;
		&html_events; 

	    <property>
	    	<name>onclick</name>
	    	<classname>java.lang.String</classname>
	    	<description>HTML: a script expression; a pointer button is clicked</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>ondblclick</name>
	    	<classname>java.lang.String</classname>
	    	<description>HTML: a script expression; a pointer button is double-clicked</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>onmouseout</name>
	    	<classname>java.lang.String</classname>
	    	<description>HTML: a script expression; a pointer is moved away</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>onmousemove</name>
	    	<classname>java.lang.String</classname>
	    	<description>HTML: a script expression; a pointer is moved within</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	    <property>
	    	<name>onmouseover</name>
	    	<classname>java.lang.String</classname>
	    	<description>HTML: a script expression; a pointer is moved onto</description>
	    	<defaultvalue><![CDATA[""]]></defaultvalue>
	    </property> 
	</component>
	<renderer generate="true">
		<template>org/richfaces/htmltooltipblock.jspx</template>
	</renderer>
	<!--renderer generate="true" override="true">
		<name>org.richfaces.renderkit.html.ToolTipRenderer</name>
		<template>org/richfaces/htmltooltip.jspx</template>
	</renderer-->
	<renderer generate="true">
		<template>org/richfaces/htmltooltip.jspx</template>
	</renderer>
</components>